﻿$v2rayPID = Get-Process -name v2ray | Select-Object id | ForEach-Object -Process { $_.id }
$wv2rayPID = Get-Process -name wv2ray | Select-Object id | ForEach-Object -Process { $_.id }
$v2rayInstallPath = $env:SystemDrive + "\tools" + "\v2ray"

if ([String]::IsNullOrEmpty($v2rayPID)) {
  Write-Host "Process v2ray.exe is not running."
} 
else {
  Write-Host "Process v2ray.exe is running, it will be stopped and removed."; Stop-Process $v2rayPID
}
if ([String]::IsNullOrEmpty($wv2rayPID)) {
  Write-Host "Process wv2ray.exe is not running."
} 
else {
  Write-Host "Process wv2ray.exe is running, it will be stopped and removed."; Stop-Process $wv2rayPID
}
Uninstall-ChocolateyZipPackage `
  -PackageName 'v2ray' `
  -ZipFileName 'v2ray-windows*'
Remove-Item $v2rayInstallPath -Force -recurse


